Invalid loading of WMS layer in not recognized projection
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14743

Description

QGIS is not able to correctly load WMS layer in projection, which does not exists in projection database.

It seems, that it will take layer's extent from WMS GetCapabilities request, which is in WGS84 projection a it will limit loading the layer to

these values without reprojection. This can not work, because it is using extent in WGS84 (without reprojection) with layer with totally

different coordinate values. 'Zoom to extent' is also not working correctly.

Ivan

History

#1 - 2012-02-04 09:49 AM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-05 08:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you post a sample layer in a public server?

#5 - 2012-10-08 01:39 AM - Ivan Mincik

Giovanni Manghi wrote:

Can you post a sample layer in a public server?

Hi Giovanni,

You can replicate this behavior with any WMS server by deleting some projection from QGIS database (resources/srs.db) and trying to load layer in that

projection.

#6 - 2014-06-28 07:41 AM - Jürgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2014-10-12 12:31 PM - Giovanni Manghi

You can replicate this behavior with any WMS server by deleting some projection from QGIS database (resources/srs.db) and trying to load layer in

that projection.

so, if I delete a CRS from a srs.db and then connect to a WMS server that serves layers (also) in that CRS, what I see now is that in QGIS WMS client I

cannot choose/change the CRS to the one was deleted, because it is not listed. That's seems to make obviously sense.

If the deleted CRS is not the default CRS proposed by the server then the user cannot get an inconsistent state, because a default CRS for the layer exists

and another one can be eventually selected (one proposed by the server, eventually minus the locally deleted one).

If the deleted CRS is the default CRS proposed by the server, then the user can get an "inconsistent" state: when selecting a layer the WMS client has no

default CRS for it but still the user can click on "add". At this point QGIS tries to add the layer, but has no explicit CRS asks to choose the CRS. The right

one (the deleted one) cannot be choose, so any CRS the user can choose will eventually lead to reprojection problems.

The right thing to do seems to block the "add" button when there is no default candidate for the layer CRS.

Thoughts?

#8 - 2014-10-12 12:34 PM - Giovanni Manghi

see also #1589

#9 - 2014-10-30 09:11 AM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
